Subject: bug#26675: guile-2.2.0 in GNU/Hurd

From: Samuel Thibault <[email-masked]>
Date: Tue, 9 May 2017 21:25:50 +0200

Hello,

rennes, on mar. 09 mai 2017 08:32:21 -0500, wrote:
> I forwarded the mail about the guile-2.2 bug in Hurd; Andy a guile developer
> comments on the error as follows:
> 
> "'Setrlimit' is incapable of limiting your memory usage."

Indeed, I think it's not implemented yet.

> I understand that Hurd is an OS that is under development/experimental and
> has not yet implemented functions/features as mentioned.
> Given this situation, can we do something about it?

Well, either implement it :) or skip the test, I guess.

Samuel

> On 05/02/2017 02:39:18 PM, Andy Wingo wrote:
> > On Thu 27 Apr 2017 04:35, rennes <[email-masked]> writes:
> > 
> > > We are testing guile-2.2.0 in GNU/Hurd, we have passed the build phase
> > > setting "--disable-largefile" parameter to configure script.
> > > On the other hand in the check phase, get the error:
> > >
> > > wrote
> > > `/tmp/guix-build-guile-2.2.0.drv-0/guile-2.2.0/cache/guile/ccache/2.2-LE-4-3.9/tmp/guix-build-guile-2.2.0.drv-0/guile-2.2.0/test-suite/standalone/test-out-of-memory.go'
> > > Backtrace:
> > >             7 (apply-smob/1 #<catch-closure 826f4c0>)
> > > In ice-9/boot-9.scm:
> > >      710:2  6 (call-with-prompt _ _ #<procedure
> > default-prompt-handle?>)
> > > In ice-9/eval.scm:
> > >      619:8  5 (_ #(#(#<directory (guile-user) 828c960>)))
> > > In ice-9/boot-9.scm:
> > >     2309:4  4 (save-module-excursion _)
> > >    3816:12  3 (_)
> > > In ./test-out-of-memory:
> > >       53:0  2 (_)
> > > In ice-9/boot-9.scm:
> > >      834:9  1 (catch _ _ #<procedure 1ba340 at ./test-out-of-memory:?>
> > > ?)
> > > In unknown file:
> > >             0 (scm-error misc-error #f "~A" ("should not be reached")
> > #)
> > >
> > > ERROR: In procedure scm-error:
> > > ERROR: should not be reached
> > > FAIL: test-out-of-memory
> > 
> > This means that your "setrlimit" is incapable of limiting your memory
> > usage.  A Hurd bug?
> > 
> > Andy
> 

-- 
Samuel
#include <culture.h>